controllers/SiteController.php
<?php

namespace app\controllers;

use app\models\Formulario1;
use Yii;
use yii\filters\AccessControl;
use yii\filters\VerbFilter;
use yii\web\Controller;
use const YII_ENV_TEST;

class SiteController extends Controller {

    /**
     * {@inheritdoc}
     */
    public function behaviors() {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions() {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex() {
        return $this->render('index');
    }

    public function actionEjercicio1() {
        $model = new Formulario1();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {

                return $this->render("solucion1", [
                            "model" => $model,
                ]);
            }
        }

        return $this->render('ejercicio1', [
                    'model' => $model,
        ]);
    }

    public function actionEjercicio2() {
        $model = new \app\models\Formulario2();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                return $this->render("solucion1", [
                            "model" => $model
                ]);
            }
        }

        return $this->render('ejercicio2', [
                    'model' => $model,
        ]);
    }

    public function actionEjercicio3() {
        $model = new \app\models\Formulario3();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                return $this->render("solucion1", [
                            "model" => $model,
                ]);
            }
        }

        return $this->render('ejercicio3', [
                    'model' => $model,
        ]);
    }

    public function actionEjercicio4() {
        $model = new \app\models\Formulario4();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                return $this->render("solucion4", [
                            "model" => $model,
                ]);
            }
        }

        return $this->render('ejercicio4', [
                    'model' => $model,
        ]);
    }

    public function actionEjercicio5() {
        $model = new \app\models\Formulario5();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {

                return $this->render('solucion5', [
                            "model" => $model
                ]);
            }
        }

        return $this->render('ejercicio5', [
                    'model' => $model,
        ]);
    }

    public function actionEjercicio6() {
        /*
         * creo un modelo nuevo
         */
        $model = new \app\models\Formulario6();

        // cargo los datos del formulario
        if ($model->load(Yii::$app->request->post())) {
            // valido los datos
            if ($model->validate()) {
                // muestro el resultado
                return $this->render("solucion6", [
                            "model" => $model
                ]);
            }
        }

        return $this->render('ejercicio6', [
                    'model' => $model,
        ]);
    }

    public function actionEjercicio7() {
        $model = new \app\models\Formulario7();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                return $this->render("solucion7",[
                   "model" => $model, 
                ]);
            }
        }

        return $this->render('ejercicio7', [
                    'model' => $model,
        ]);
    }

}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap5\Breadcrumbs;
use yii\bootstrap5\Html;
use yii\bootstrap5\Nav;
use yii\bootstrap5\NavBar;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body class="d-flex flex-column h-100">
<?php $this->beginBody() ?>

<header>
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar navbar-expand-md navbar-dark bg-dark fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Formularios Basicos', "items" => [
                    ['label' => 'Ejercicio1', 'url' => ['/site/ejercicio1']],
                    ['label' => 'Ejercicio2', 'url' => ['/site/ejercicio2']],
                    ['label' => 'Ejercicio3', 'url' => ['/site/ejercicio3']],
                    ['label' => 'Ejercicio4', 'url' => ['/site/ejercicio4']],
                    ['label' => 'Ejercicio6', 'url' => ['/site/ejercicio6']],
                ],
            ],
            ['label' => 'Ejercicios de aplicacion de formularios', "items" => [
                    ['label' => 'Ejercicio5', 'url' => ['/site/ejercicio5']],
                    ['label' => 'Ejercicio7', 'url' => ['/site/ejercicio7']],
                ],
            ],
        ],
    ]);
    NavBar::end();
    ?>
</header>

<main role="main" class="flex-shrink-0">
    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</main>

<footer class="footer mt-auto py-3 text-muted">
    <div class="container">
        <p class="float-left">Ramon Abramo</p>
        <p class="float-right">2023</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>